package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var AuthRPCServiceAnnotationType = reflect.TypeOf((*AuthRPCServiceAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(AuthRPCServiceAnnotationType)
}

type AuthRPCServiceAnnotation struct {
	cda.TypeAnnotation `@annotation:"@overflow:AuthRPCService"`
}
